json
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}curl -X POST https://api.telegent.com/v1.0/products/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}'import requests
url = "https://api.telegent.com/v1.0/products/update"
payload = {
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ProductId: 'PRID-d9e74d70-3ca8-40f3-a415',
SKU: 'eSim',
Description: 'Telegent eSim',
Type: 'esim',
SubType: 'esim',
Cost: 12.34,
BillingFrequency: 'MRC'
})
};
fetch('https://api.telegent.com/v1.0/products/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Products
Update Product
Update an existing product’s SKU, description, type, cost, or billing cycle. Changes apply immediately and are reflected across all packages that include this product. Use the ProductId (PID-) returned when the product was created.
What this does: Returns the updated product record. Only fields you send are changed. Changes affect all packages that include this product at their next billing cycle.
Next steps:
- Confirm the update —
GET /v1.0/products
POST
/
v1.0
/
products
/
update
json
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}curl -X POST https://api.telegent.com/v1.0/products/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}'import requests
url = "https://api.telegent.com/v1.0/products/update"
payload = {
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ProductId: 'PRID-d9e74d70-3ca8-40f3-a415',
SKU: 'eSim',
Description: 'Telegent eSim',
Type: 'esim',
SubType: 'esim',
Cost: 12.34,
BillingFrequency: 'MRC'
})
};
fetch('https://api.telegent.com/v1.0/products/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415",
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
Response
Update Product
The response is of type object.
⌘I